XtAppAddConverter(3Xt)

NAME
XtAppAddConverter, XtAddConverter - register resource converter

SYNTAX
void XtAppAddConverter(app_context, from_type, to_type, converter, convert_args, num_args)
    XtAppContext app_context;
    String from_type;
    String to_type;
    XtConverter converter;
    XtConvertArgList convert_args;
    Cardinal num_args;

void XtAddConverter(from_type, to_type, converter, convert_args, num_args)
    String from_type;
    String to_type;
    XtConverter converter;
    XtConvertArgList convert_args;
    Cardinal num_args;

ARGUMENTS

app_context
    Specifies the application context.

converter
    Specifies the type converter procedure.

convert_args
    Specifies how to compute the additional arguments to the converter or NULL.

from_type
    Specifies the source type.

num_args
    Specifies the number of additional arguments to the converter or zero.

to_type
    Specifies the destination type.

DESCRIPTION
is equivalent in function to with cache_type equal to for old-format type converters. It has been superseded by

is equivalent in function to with cache_type equal to for old-format type converters. It has been superseded by

SEE ALSO
XtConvert(3Xt), XtStringConversionWarning(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface